# List Webhook Rules

Get `https://app.mk.io/api/v1/projects/:project_name/webhook/rules`

**RBAC Capability Required:** `webhooks.config.get`

## Authentication

**Authorization:** Bearer  
Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name**: string (Required)

## Query parameters

- **$orderby**: string (Optional)  
Specifies the key by which the result collection should be ordered.

- **$filter**: string (Optional)  
Restricts the set of items returned.

- **$top**: string (Optional)  
Specifies a non-negative integer `n` that limits the number of items returned from a collection.

- **$skiptoken**: string (Optional)  
Specifies a start offset to support paginated results. Use `@odata.nextLink` in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

## Response

- **200**  
A list of webhook rules
  
  **value**: list of objects [WebhookRuleSchema](https://docs.mediakind.com/api-reference/management-api/schemas/webhookruleschema) (Required)
  
  A list of Webhook rules
  
  **metadata**: object [WebhookRuleMetadataSchema](https://docs.mediakind.com/api-reference/management-api/schemas/webhookrulemetadataschema) (Required)
  
  Webhook rule metadata.

- **id**: string (Required)  
    The ID of the webhook.
  
  - **name**: string (Required)  
    The name of the webhook. Unique within a project.

- **spec**: object [WebhookRuleSpecSchema](https://docs.mediakind.com/api-reference/management-api/schemas/webhookrulespecschema) (Required)

- **authentication**: object [AuthenticationSchema](https://docs.mediakind.com/api-reference/management-api/schemas/authenticationschema) (Optional)
    
      - **headers**: map from strings to string (Optional)
      
      - **queryParams**: map from strings to string (Optional)

- **enabled**: boolean (Required)  
      Indicates whether the webhook is enabled.

- **events**: list of enums (Required)  
      List of events that trigger the webhook.

- **headers**: map from strings to string (Optional)

- **queryParams**: map from strings to string (Optional)

- **url**: string (Required)  
      The URL the webhook should call.

## Errors

- **400 Bad Request**  
  **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) (Required)
  
  Pertinent information about the error

- **code**: string (Required)
  - **detail**: string (Required)
  - **extraDetail**: map from strings to any (Optional)
  - **ref**: string (Required)
  - **status**: integer (Required)

- **401 Unauthorized**  
  **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) (Required)
 
  - **code**: string (Required)
  - **detail**: string (Required)
  - **extraDetail**: map from strings to any (Optional)
  - **ref**: string (Required)
  - **status**: integer (Required)

- **403 Forbidden**  
  **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) (Required)

- **404 Not Found**  
  **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) (Required)

- **429 Too Many Requests**  
  **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) (Required)

- **500 Internal Server Error**  
  **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) (Required)
